<application>
  <component name="BackendCodeEditorApplicationSettings">
    <option name="/Default/PatternsAndTemplates/LiveTemplates/Template/=2B3698E1355040589189068721CC942B/@KeyIndexDefined" value="true" type="bool" />
    <option name="/Default/PatternsAndTemplates/LiveTemplates/Template/=2B3698E1355040589189068721CC942B/Applicability/=Live/@EntryIndexedValue" value="true" type="bool" />
    <option name="/Default/PatternsAndTemplates/LiveTemplates/Template/=2B3698E1355040589189068721CC942B/Applicability/=Surround/@EntryIndexedValue" value="true" type="bool" />
    <option name="/Default/PatternsAndTemplates/LiveTemplates/Template/=2B3698E1355040589189068721CC942B/Description/@EntryValue" value="Iterate using begin/end member functions" type="string" />
    <option name="/Default/PatternsAndTemplates/LiveTemplates/Template/=2B3698E1355040589189068721CC942B/Field/=CONTAINER/@KeyIndexDefined" value="true" type="bool" />
    <option name="/Default/PatternsAndTemplates/LiveTemplates/Template/=2B3698E1355040589189068721CC942B/Field/=CONTAINER/Expression/@EntryValue" value="enumerableVariable()" type="string" />
    <option name="/Default/PatternsAndTemplates/LiveTemplates/Template/=2B3698E1355040589189068721CC942B/Field/=CONTAINER/InitialRange/@EntryValue" value="0" type="int" />
    <option name="/Default/PatternsAndTemplates/LiveTemplates/Template/=2B3698E1355040589189068721CC942B/Field/=ITER/@KeyIndexDefined" value="true" type="bool" />
    <option name="/Default/PatternsAndTemplates/LiveTemplates/Template/=2B3698E1355040589189068721CC942B/Field/=ITER/Expression/@EntryValue" value="suggestVariableName()" type="string" />
    <option name="/Default/PatternsAndTemplates/LiveTemplates/Template/=2B3698E1355040589189068721CC942B/Field/=ITER/InitialRange/@EntryValue" value="0" type="int" />
    <option name="/Default/PatternsAndTemplates/LiveTemplates/Template/=2B3698E1355040589189068721CC942B/Field/=ITER_TYPE/@KeyIndexDefined" value="true" type="bool" />
    <option name="/Default/PatternsAndTemplates/LiveTemplates/Template/=2B3698E1355040589189068721CC942B/Field/=ITER_TYPE/Expression/@EntryValue" value="guessType()" type="string" />
    <option name="/Default/PatternsAndTemplates/LiveTemplates/Template/=2B3698E1355040589189068721CC942B/Field/=ITER_TYPE/InitialRange/@EntryValue" value="-1" type="int" />
    <option name="/Default/PatternsAndTemplates/LiveTemplates/Template/=2B3698E1355040589189068721CC942B/Metadata/=MigratedFromClassic/@KeyIndexDefined" value="true" type="bool" />
    <option name="/Default/PatternsAndTemplates/LiveTemplates/Template/=2B3698E1355040589189068721CC942B/Reformat/@EntryValue" value="true" type="bool" />
    <option name="/Default/PatternsAndTemplates/LiveTemplates/Template/=2B3698E1355040589189068721CC942B/Scope/=A01C9199A0EA422399EE16665F28E3DC/@KeyIndexDefined" value="true" type="bool" />
    <option name="/Default/PatternsAndTemplates/LiveTemplates/Template/=2B3698E1355040589189068721CC942B/Scope/=A01C9199A0EA422399EE16665F28E3DC/Type/@EntryValue" value="InCppCompoundStatement" type="string" />
    <option name="/Default/PatternsAndTemplates/LiveTemplates/Template/=2B3698E1355040589189068721CC942B/Shortcut/@EntryValue" value="itit" type="string" />
    <option name="/Default/PatternsAndTemplates/LiveTemplates/Template/=2B3698E1355040589189068721CC942B/ShortenQualifiedReferences/@EntryValue" value="true" type="bool" />
    <option name="/Default/PatternsAndTemplates/LiveTemplates/Template/=2B3698E1355040589189068721CC942B/Text/@EntryValue" value="for ($ITER_TYPE$ $ITER$ = $CONTAINER$.begin(); $ITER$ != $CONTAINER$.end(); ++$ITER$) {&#10;  $END$&#10;}" type="string" />
    <option name="/Default/PatternsAndTemplates/LiveTemplates/Template/=BE3B8F8CFF854740809E699919E4BB6C/@KeyIndexDefined" value="true" type="bool" />
    <option name="/Default/PatternsAndTemplates/LiveTemplates/Template/=BE3B8F8CFF854740809E699919E4BB6C/Applicability/=Live/@EntryIndexedValue" value="true" type="bool" />
    <option name="/Default/PatternsAndTemplates/LiveTemplates/Template/=BE3B8F8CFF854740809E699919E4BB6C/Applicability/=Surround/@EntryIndexedValue" value="true" type="bool" />
    <option name="/Default/PatternsAndTemplates/LiveTemplates/Template/=BE3B8F8CFF854740809E699919E4BB6C/Description/@EntryValue" value="Indexed for(;;) loop" type="string" />
    <option name="/Default/PatternsAndTemplates/LiveTemplates/Template/=BE3B8F8CFF854740809E699919E4BB6C/Field/=INDEX/@KeyIndexDefined" value="true" type="bool" />
    <option name="/Default/PatternsAndTemplates/LiveTemplates/Template/=BE3B8F8CFF854740809E699919E4BB6C/Field/=INDEX/Expression/@EntryValue" value="suggestIndexVariable()" type="string" />
    <option name="/Default/PatternsAndTemplates/LiveTemplates/Template/=BE3B8F8CFF854740809E699919E4BB6C/Field/=INDEX/InitialRange/@EntryValue" value="0" type="int" />
    <option name="/Default/PatternsAndTemplates/LiveTemplates/Template/=BE3B8F8CFF854740809E699919E4BB6C/Field/=UPPER_BOUND/@KeyIndexDefined" value="true" type="bool" />
    <option name="/Default/PatternsAndTemplates/LiveTemplates/Template/=BE3B8F8CFF854740809E699919E4BB6C/Field/=UPPER_BOUND/Expression/@EntryValue" value="" type="string" />
    <option name="/Default/PatternsAndTemplates/LiveTemplates/Template/=BE3B8F8CFF854740809E699919E4BB6C/Field/=UPPER_BOUND/InitialRange/@EntryValue" value="0" type="int" />
    <option name="/Default/PatternsAndTemplates/LiveTemplates/Template/=BE3B8F8CFF854740809E699919E4BB6C/Metadata/=MigratedFromClassic/@KeyIndexDefined" value="true" type="bool" />
    <option name="/Default/PatternsAndTemplates/LiveTemplates/Template/=BE3B8F8CFF854740809E699919E4BB6C/Reformat/@EntryValue" value="true" type="bool" />
    <option name="/Default/PatternsAndTemplates/LiveTemplates/Template/=BE3B8F8CFF854740809E699919E4BB6C/Scope/=C926554627EE4980AE80B39AD1493BA6/@KeyIndexDefined" value="true" type="bool" />
    <option name="/Default/PatternsAndTemplates/LiveTemplates/Template/=BE3B8F8CFF854740809E699919E4BB6C/Scope/=C926554627EE4980AE80B39AD1493BA6/Type/@EntryValue" value="InCppCompoundStatement" type="string" />
    <option name="/Default/PatternsAndTemplates/LiveTemplates/Template/=BE3B8F8CFF854740809E699919E4BB6C/Shortcut/@EntryValue" value="for" type="string" />
    <option name="/Default/PatternsAndTemplates/LiveTemplates/Template/=BE3B8F8CFF854740809E699919E4BB6C/ShortenQualifiedReferences/@EntryValue" value="true" type="bool" />
    <option name="/Default/PatternsAndTemplates/LiveTemplates/Template/=BE3B8F8CFF854740809E699919E4BB6C/Text/@EntryValue" value="for (int $INDEX$ = 0; $INDEX$ &lt; $UPPER_BOUND$; ++$INDEX$) {&#10;  $END$&#10;}" type="string" />
    <option name="/Default/PatternsAndTemplates/LiveTemplates/Template/=E2AC8CC0C0E84169AD9CBF357F68593D/@KeyIndexDefined" value="true" type="bool" />
    <option name="/Default/PatternsAndTemplates/LiveTemplates/Template/=E2AC8CC0C0E84169AD9CBF357F68593D/Applicability/=Live/@EntryIndexedValue" value="true" type="bool" />
    <option name="/Default/PatternsAndTemplates/LiveTemplates/Template/=E2AC8CC0C0E84169AD9CBF357F68593D/Applicability/=Surround/@EntryIndexedValue" value="true" type="bool" />
    <option name="/Default/PatternsAndTemplates/LiveTemplates/Template/=E2AC8CC0C0E84169AD9CBF357F68593D/Description/@EntryValue" value="Iterate range (C++11)" type="string" />
    <option name="/Default/PatternsAndTemplates/LiveTemplates/Template/=E2AC8CC0C0E84169AD9CBF357F68593D/Field/=AUTO_TYPE/@KeyIndexDefined" value="true" type="bool" />
    <option name="/Default/PatternsAndTemplates/LiveTemplates/Template/=E2AC8CC0C0E84169AD9CBF357F68593D/Field/=AUTO_TYPE/Expression/@EntryValue" value="suggestVariableType()" type="string" />
    <option name="/Default/PatternsAndTemplates/LiveTemplates/Template/=E2AC8CC0C0E84169AD9CBF357F68593D/Field/=AUTO_TYPE/InitialRange/@EntryValue" value="0" type="int" />
    <option name="/Default/PatternsAndTemplates/LiveTemplates/Template/=E2AC8CC0C0E84169AD9CBF357F68593D/Field/=CONTAINER/@KeyIndexDefined" value="true" type="bool" />
    <option name="/Default/PatternsAndTemplates/LiveTemplates/Template/=E2AC8CC0C0E84169AD9CBF357F68593D/Field/=CONTAINER/Expression/@EntryValue" value="enumerableVariable()" type="string" />
    <option name="/Default/PatternsAndTemplates/LiveTemplates/Template/=E2AC8CC0C0E84169AD9CBF357F68593D/Field/=CONTAINER/InitialRange/@EntryValue" value="0" type="int" />
    <option name="/Default/PatternsAndTemplates/LiveTemplates/Template/=E2AC8CC0C0E84169AD9CBF357F68593D/Field/=VAR/@KeyIndexDefined" value="true" type="bool" />
    <option name="/Default/PatternsAndTemplates/LiveTemplates/Template/=E2AC8CC0C0E84169AD9CBF357F68593D/Field/=VAR/Expression/@EntryValue" value="suggestVariableName()" type="string" />
    <option name="/Default/PatternsAndTemplates/LiveTemplates/Template/=E2AC8CC0C0E84169AD9CBF357F68593D/Field/=VAR/InitialRange/@EntryValue" value="0" type="int" />
    <option name="/Default/PatternsAndTemplates/LiveTemplates/Template/=E2AC8CC0C0E84169AD9CBF357F68593D/Metadata/=MigratedFromClassic/@KeyIndexDefined" value="true" type="bool" />
    <option name="/Default/PatternsAndTemplates/LiveTemplates/Template/=E2AC8CC0C0E84169AD9CBF357F68593D/Reformat/@EntryValue" value="true" type="bool" />
    <option name="/Default/PatternsAndTemplates/LiveTemplates/Template/=E2AC8CC0C0E84169AD9CBF357F68593D/Scope/=815955172C3047E1865444D4838C87FB/@KeyIndexDefined" value="true" type="bool" />
    <option name="/Default/PatternsAndTemplates/LiveTemplates/Template/=E2AC8CC0C0E84169AD9CBF357F68593D/Scope/=815955172C3047E1865444D4838C87FB/Type/@EntryValue" value="InCppCompoundStatement" type="string" />
    <option name="/Default/PatternsAndTemplates/LiveTemplates/Template/=E2AC8CC0C0E84169AD9CBF357F68593D/Shortcut/@EntryValue" value="iter" type="string" />
    <option name="/Default/PatternsAndTemplates/LiveTemplates/Template/=E2AC8CC0C0E84169AD9CBF357F68593D/ShortenQualifiedReferences/@EntryValue" value="true" type="bool" />
    <option name="/Default/PatternsAndTemplates/LiveTemplates/Template/=E2AC8CC0C0E84169AD9CBF357F68593D/Text/@EntryValue" value="for ($AUTO_TYPE$ $VAR$ : $CONTAINER$) {&#10;  $END$&#10;}" type="string" />
  </component>
  <component name="CodeInsightSettings">
    <option name="AUTO_POPUP_JAVADOC_INFO" value="true" />
  </component>
  <component name="CodeVisionSettings">
    <option name="defaultPosition" value="Top" />
  </component>
</application>